{ pkgs, ... }:
let
  feh-wallpaper-getRandom = pkgs.writeShellApplication {
    name = "feh-wallpaper-getRandom";
    runtimeInputs = with pkgs; [
      feh
    ];
    text = ''
      bgs=$MY_RICING_ASSETS_PATH/usr/local/share/wallpapers
      feh --bg-fill --randomize "$bgs"/*
    '';
  };
in
pkgs.symlinkJoin {
  name = "feh-wallpaper";
  paths = [
    feh-wallpaper-getRandom
  ];
}
